<template>
  <div class="landAdmin" v-if="state.show">
    <transition name="el-zoom-in-bottom">
      <div class="Poplayer">
        <div class="close" @click.stop="closehandle"></div>
        <div class="title">点位详情</div>
        <div class="content">
          <div class="con-item" v-for="(item, index) in KEY" :key="index">
            <span class="name">{{ index }}：</span>
            <span class="value">{{ state.info[item] }}</span>
          </div>
        </div>
      </div>
    </transition>
  </div>
</template>

<script>
import store from "@/utils/store2";
import keys from "@/utils/poiKeys";
export default {
  components: {},
  data() {
    return {
      state: store.dwInfo,
      KEY: {},
    };
  },
  mounted() {
    if (this.list) {
      this.state.info = this.list;
    }
    this.KEY = keys[this.state.info.POITYPE];
  },
  watch: {
    "state.info": function (val) {
      console.log("state.info");
      this.KEY = keys[val.POITYPE];
    },
    "state.show": function (val) {
      console.log("state.show");
      this.showlandInfo = val;
    },
  },
  methods: {
    closehandle() {
      store.setdwInfo({});
      store.setdwShow(false)
      if (window.tdglLine) {
        window.mapapi.removeLayer(window.tdglLine);
        window.tdglLine = null;
      }
      if (window.pointArr && window.pointArr.length > 0) {
        window.pointArr.forEach(item => {
          window.mapapi.removeLayer(item)
        })
        window.pointArr = []
      }
    },
  },
};
</script>
<style scoped>
.landAdmin {
  width: 100%;
  position: absolute;
  bottom: 0px;
  align-items: center;
  /* background: white; */
  z-index: 1000;
}

.Poplayer {
  /* min-width: 350px; */
  min-height: 180px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url("./img/bg.png");
  background-color: #0b2c3f;

  border-radius: 10px;
  z-index: 999;
  color: #fff;
  /* padding: 20px; */
  padding: 10px 5px 10px 5px;
  box-sizing: border-box;
  font-size: 16px;
  pointer-events: all;
}

.title {
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  letter-spacing: 4px;
  padding-left: 26px;
}

/* .title {
  display: none;
  width: 100%;
  height: 30px;
  line-height: 30px;
  padding-left: 20px;
  margin-top: 10px;
} */

.close {
  pointer-events: all;
  width: 28px;
  height: 28px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url("./img/close.png");
  float: right;
  margin-top: 8px;
  margin-right: 5px;
  cursor: pointer;
}

.content {
  width: 100%;
  margin: auto;
}

.con-item {
  width: 90%;
  /* overflow: hidden; */
  margin-left: 5%;
  margin-bottom: 7px;
  /* margin-right: 20px; */
  display: flex;
  align-items: center;
  justify-content: center;
}

.name {
  width: 30%;
  /* float: left; */
}

.value {
  width: 70%;
  /* max-width: 400px; */
  /* float: left; */
  color: aqua;
}
</style>

